Subject: bug#72464: closed (Re: bug#72466: [PATCH 2/2] Improve instructions how set path to C source code for Red Hat)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 23 Feb 2025 05:50:02 +0000

Your bug report

#72466: [PATCH 0/2] Add instructions how setup path to C source code for SUSE based systems and improve Red Hat ones

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72466: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72466
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72466: [PATCH 2/2] Improve instructions how set path to C source code for Red Hat
From: Stefan Kangas <[email-masked]>
To: Björn Bidar <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sun, 23 Feb 2025 05:49:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Björn Bidar <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Sun, 4 Aug 2024 16:17:25 +0300
>>> From:  Björn Bidar via "Bug reports for GNU Emacs,
>>>  the Swiss army knife of text editors" <[email-masked]>
>>>
>>> * etc/PROBLEMS(Problems when reading or debugging Emacs C code):
>>> Improve instruction how to set path to C source code for Red Hat
>>> based systems.
>>> ---
>>>  etc/PROBLEMS | 2 +-
>>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>>
>>> diff --git a/etc/PROBLEMS b/etc/PROBLEMS
>>> index ef205da2c17..a642ebce570 100644
>>> --- a/etc/PROBLEMS
>>> +++ b/etc/PROBLEMS
>>> @@ -450,7 +450,7 @@ To get describe-function and similar commands to work, you can then
>>>  add something like the following to your startup file:
>>>
>>>       (setq find-function-C-source-directory
>>> -           "/usr/src/debug/emacs-27.1-1.fc31.x86_64/src/")
>>> +          (car (file-expand-wildcards "/usr/src/debug/emacs-*/src")))
>>
>> Thanks, but I'd rather not confuse users with Lisp, and neither would
>> I assume that the first directory in the wildcard expansion will
>> necessarily be the one belonging to the running Emacs.
>
> There's only one Emacs package in Fedora as well as in (open)SUSE
> the source expanded in that wildcard is to 99% the one that the user
> runs, especially for user that would be confused with lisp.
>
>> What exactly is wrong with the text as written?  It explains where did
>> 27.1 came from:
>>
>>   Once you have installed the source package, for example at
>>   /home/myself/deb-src/emacs-27.1, add the following line to your
>>   startup file:        ^^^^^^^^^^
>>
>> If you think 27.1 is too old, we could change that to 30 or something.
>> But other than that, I think the text is fine as it is.
>
> I don't have a problem with 27.1 I just thought there would be a more
> streamlined way of setting the patch to the C source code rather than
> one that the user to update to each time they update.

I agree with Eli that the current text is fine, and I see that another
patch was installed here.  So I'm closing this bug report now.

Subject: [PATCH 0/2] Add instructions how setup path to C source code for SUSE based systems and improve Red Hat ones
From: Björn Bidar <[email-masked]>
To: [email-masked]
Date: Sun, 4 Aug 2024 18:56:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that there are no instructions how setup the path to C source
code of Emacs for SUSE based systems. 
These patches add the instructions and improve the instructions for Red Had based
systems.

Björn Bidar (2):
  Document how set path to C source code for SUSE based systems
  Improve instructions how set path to C source code for Red Hat

 etc/PROBLEMS | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

-- 
2.45.2